nom: Dépôt CMIS
type: GED

heritage: ged-connecteur-common

description: |
    Connecteur de dépôt sur un serveur CMIS

formulaire:
    page0:
        depot_cmis_url:
            name: URL du service CMIS
            commentaire: |
                On utilise CMIS 1.1 avec binding browser
                Sur Alfresco, l'URL est la suivante:  http://[hôte:port]/alfresco/api/-default-/public/cmis/versions/1.1/browser

        depot_cmis_login:
            name: Login

        depot_cmis_password:
            name: Mot de passe
            type: password

        depot_cmis_directory:
            name: Répertoire de dépôt

        depot_cmis_object_type_id:
            name: Type des objets CMIS
            commentaire: "Appliquer sur tous les fichiers à déposer, il s'agit du type défini par cmis:objectTypeId. Par défaut, `cmis:document`. Sur Alfresco, il faut ajouter un D: avant le type (Ex, `D:guichetrh:document`)."

        depot_cmis_properties:
            name: Propriétés à ajouter aux fichiers
            type: textarea
            commentaire: Une propriété par ligne de la forme "nom_propriete":type:expression, possibilité d'utiliser des élements du type de dossier avec %identifiant_element%. Chaque propriété est ajoutée sur tous les fichiers déposés. Le type peut être datetime, sinon il sera envoyé en tant que texte. (Ex, `"guichetrh:date_depot":datetime:%date_de_lacte%`)

